Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class InfocardWindow

    java.lang.Object
      org.infoml.infocardOrganizer.InfocardWindow

All Implemented Interfaces:
  java.io.Serializable

    public class InfocardWindow

extends java.lang.Object
implements java.io.Serializable

Sets up the content of an infocard file's window in terms of a tree of nodes that responds to drag-and-drop behaviors.

See Also:
  Serialized Form

Field Summary
`DragAndDropTree` | `tree`
`javax.swing.JScrollPane` | `treeView`

Constructor Summary
`InfocardWindow(MainFrame mainFr)`

Method Summary
`void` | `addNode(NotecardModel model, int option)`
`void` | `addNodeFromSaved(java.lang.String title, int option, NotecardModel model, int level)`
`void` | `clearNodes()`
`void` | `editNode(NotecardModel model)`
`void` | `getOutline()`
`void` | `insertNodeInto(NotecardModel model, javax.swing.tree.DefaultMutableTreeNode node, javax.swing.tree.DefaultMutableTreeNode parent, int index, int option)`
`void` | `moveDown()`
`void` | `moveNodeToLeft()`
`void` | `moveNodeToRight()`
`void` | `moveUp()`
`javax.swing.tree.DefaultMutableTreeNode` | `rememberSmartSelection(javax.swing.tree.DefaultMutableTreeNode node)`
`void` | `removeNode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tree

    public DragAndDropTree tree

### treeView

    public javax.swing.JScrollPane treeView

Constructor Detail

### InfocardWindow

    public InfocardWindow(MainFrame mainFr)

Method Detail

### moveUp

    public void moveUp()

### moveDown

    public void moveDown()

### editNode

    public void editNode(NotecardModel model)

### rememberSmartSelection

    public javax.swing.tree.DefaultMutableTreeNode rememberSmartSelection(javax.swing.tree.DefaultMutableTreeNode node)

### insertNodeInto

    public void insertNodeInto(NotecardModel model,
                               javax.swing.tree.DefaultMutableTreeNode node,
                               javax.swing.tree.DefaultMutableTreeNode parent,
                               int index,
                               int option)

### removeNode

    public void removeNode()

### clearNodes

    public void clearNodes()

### addNode

    public void addNode(NotecardModel model,
                        int option)

### getOutline

    public void getOutline()

### addNodeFromSaved

    public void addNodeFromSaved(java.lang.String title,
                                 int option,
                                 NotecardModel model,
                                 int level)

### moveNodeToRight

    public void moveNodeToRight()

### moveNodeToLeft

    public void moveNodeToLeft()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD